"""
@author: luojunhui
CREATE TABLE `publish_content_miniprogram` (
  `publish_content_id` varchar(64) NOT NULL COMMENT '发布内容ID',
  `root_share_id` varchar(64) DEFAULT NULL,
  `source` varchar(64) DEFAULT NULL COMMENT '来源',
  `program_id` varchar(64) DEFAULT NULL COMMENT '小程序ID',
  `program_name` varchar(128) DEFAULT NULL COMMENT '小程序名称',
  `program_avatar` varchar(512) DEFAULT NULL COMMENT '小程序头像',
  `production_cover` varchar(1024) DEFAULT NULL COMMENT '卡片封面',
  `production_name` varchar(255) DEFAULT NULL COMMENT '卡片标题',
  `production_path` varchar(1024) DEFAULT NULL COMMENT '卡片路径',
  `video_url` varchar(1024) DEFAULT NULL COMMENT '视频播放地址',
  `hide_flag` int(11) DEFAULT NULL COMMENT '是否隐藏（0-否，1-是）',
  `status` int(11) NOT NULL DEFAULT '2' COMMENT '状态（0-待处理，1-处理中，2-成功，3-失败）',
  `trace_id` varchar(128) DEFAULT NULL COMMENT '请求ID',
  `error_msg` varchar(2048) DEFAULT NULL COMMENT '错误信息',
  `create_timestamp` bigint(20) DEFAULT NULL COMMENT '创建时间戳',
  `update_timestamp` bigint(20) DEFAULT NULL COMMENT '更新时间戳',
  PRIMARY KEY (`publish_content_id`),
  KEY `idx_rootShareId` (`root_share_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='发布内容-插入小程序'
"""
import json

import pandas as pd
from datetime import datetime
from functions import RateDetail, MatchRate

M = MatchRate()
R = RateDetail()
time_stamp_list = M.generate_stamp_list("20240528", "20240529")
df = []
for item in time_stamp_list:
    s_d = int(item)
    e_d = int(item) + 24 * 60 * 60 * 1000
    result = M.match_rate(s_d, e_d)
    s = 0
    f = 0
    p = 0
    for obj in result:
        if obj[0] == 2:
            s += 1
        elif obj[0] == 3:
            f += 1
        elif obj[0] == 1:
            p += 1
    print(s, f, p)
